Create an entity group
curl --request POST \
--url https://api-{region}.sesametime.com/core/v3/entity-groups \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"groupId": "<string>",
"parentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>",
"showGroup": true,
"costCenter": true
}
'import requests
url = "https://api-{region}.sesametime.com/core/v3/entity-groups"
payload = {
"name": "<string>",
"groupId": "<string>",
"parentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>",
"showGroup": True,
"costCenter": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
groupId: '<string>',
parentId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
description: '<string>',
showGroup: true,
costCenter: true
})
};
fetch('https://api-{region}.sesametime.com/core/v3/entity-groups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}Entity Groups
Create an entity group
POST
/
core
/
v3
/
entity-groups
Create an entity group
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Entity group object to be created
The name of the group
The Id of the group for business use
The Id of the group parent, null if has no parent
A description for the group
Whether the group should be visible in the interface
If the group acts as a cost center
Response
200 - application/json
Object
Was this page helpful?
⌘I